#ifndef REALCAL_HH
#define REALCAL_HH

#include <ClanLib/core.h>
#include <ClanLib/application.h>
#include <ClanLib/display.h>
#include <ClanLib/gui.h>
#include <ClanLib/sound.h>

#include <vector>

//Definition for REALCAL-class
class REALCAL : public CL_ClanApplication
{	
	bool bupdate;
	bool bUnlocked;

	unsigned int uiDay;
	unsigned int uiMonth;

	CL_ComponentManager *manager;	
	CL_ResourceManager* resources;
	CL_StyleManager_Default* style;
	CL_GUIManager* gui;

	CL_Surface* boardsurface0;
	CL_Surface* bordersurface0;

	CL_Button* button0;
	CL_Button* button1;

	CL_Slot slot0;
	CL_Slot slot1;

	CL_SoundBuffer* buffer0; 

	void quit();

	void setup_resources();

	void open_window();

public:
	virtual char *get_title();
	virtual int main (int argc, char **argv);

}REALCAL_Instance;




#endif
